class Options
{
public:

	Options(void);

	void addRecentFile(char*);
	void getRecentFileName(BYTE, char*);
	void readConfig(void);
	void saveConfig(void);
	void setGrid(int, int = -1);

	//Inline functions

	inline int drawGrid(int mag)
	{
		return (gridMinMag <= mag) ? showGrid : 0;
	}
	inline int getBackImage(void)
	{
		return backImage;
	}
	inline char *getFullRecentFile(BYTE num)
	{
		return recentFile[num];
	}
	inline int getGrid(void)
	{
		return showGrid;
	};
	inline int getGridMinMag(void)
	{
		return gridMinMag;
	}
	inline int getNumRecentFiles(void)
	{
		return numRecentFiles;
	}
	inline BYTE getTab1Mag(void)
	{
		return tab1Mag;
	}
	inline BYTE getTab3Mag(void)
	{
		return tab3Mag;
	}
	inline BYTE getTab4Mag(void)
	{
		return tab4Mag;
	}
	inline int getXPos(void)
	{
		return xPos;
	}
	inline int getYPos(void)
	{
		return yPos;
	}
	inline void setBackImage(BYTE num)
	{
		backImage = num;
	}
	inline void setTab1Mag(BYTE num)
	{
		tab1Mag = num;
	}
	inline void setTab3Mag(BYTE num)
	{
		tab3Mag = num;
	}
	inline void setTab4Mag(BYTE num)
	{
		tab4Mag = num;
	}

private:

	BYTE backImage;
	BYTE showGrid;			//0 = no show, 1 = show pixel, 2 = show tile
	BYTE gridMinMag;
	BYTE tab1Mag;
	BYTE tab3Mag;
	BYTE tab4Mag;

	int xPos, yPos;

	int numRecentFiles;
	char recentFile[4][256];
};

extern Options options;

